---
- name: Download cloudflared
  get_url:
    url: 'https://bin.equinox.io/c/VdrWdbjqyF/cloudflared-stable-linux-arm.deb'
    dest: /tmp/cloudflared-stable-linux-arm.deb
    checksum: sha256:a1c9ab98e003c91825ff6fed263d8e8fe6bb81343ba000b407778608563069c0

- name: add arm architecture
  command:
    dpkg --add-architecture arm

- name: Install cloudflared
  apt:
    deb: /tmp/cloudflared-stable-linux-arm.deb
  when: not ansible_check_mode

- name: Create config dir
  file:
    state: directory
    dest: /etc/cloudflared

- name: Copy config for hello world
  copy:
    dest: /etc/cloudflared/config.yml
    content: |-
      ---
      hello-world: true
 
- name: install cloudflared service
  command:
    cmd: cloudflared service install
    creates: /etc/systemd/system/cloudflared.service 

- name: Enable cloudflared
  systemd:
    name: cloudflared
    state: started
    enabled: yes
